[Intel-gfx] [PATCH i-g-t 2/5] tests: Leave basic breadcrumbs in dmesg for shell script based tests
ville.syrjala at linux.intel.com
ville.syrjala at linux.intel.com
Thu Oct 6 13:36:05 UTC 2016
From: Ville Syrjälä <ville.syrjala at linux.intel.com>
Leave the normal "executing" and "exiting" breadcrumbs into dmesg when
running the test.
Signed-off-by: Ville Syrjälä <ville.syrjala at linux.intel.com>
---
tests/drm_lib.sh | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
index 0eeab1c183c9..456040e1971f 100755
--- a/tests/drm_lib.sh
+++ b/tests/drm_lib.sh
@@ -3,6 +3,30 @@
SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
. $SOURCE_DIR/drm_getopt.sh
+NAME=$(basename "$0")
+
+KERN_EMER="<0>"
+KERN_ALERT="<1>"
+KERN_CRIT="<2>"
+KERN_ERR="<3>"
+KERN_WARNING="<4>"
+KERN_NOTICE="<5>"
+KERN_INFO="<6>"
+KERN_DEBUG="<7>"
+
+kmsg() {
+ echo "$1" > /dev/kmsg
+}
+
+finish() {
+ exitcode=$?
+ kmsg "$KERN_INFO$NAME: exiting, ret=$exitcode"
+ exit $exitcode
+}
+trap finish EXIT
+
+kmsg "$KERN_INFO$NAME: executing"
+
skip() {
echo "$@"
exit $IGT_EXIT_SKIP
--
2.7.4
More information about the Intel-gfx
mailing list